Void Redemption (Redemptions 2.0)

​

Voids the complete discount basket. The value of redemption_ref must be appended to the URL path. You can get the redemption_ref value from the Get Active Discount Basket API response.

Example:

DELETE https://{base}/api/auth/batch_redemptions/aBCDEfghIJkL-MN1opR

Note: It will not support partial voiding of a discount basket.

Path Parameters

  • Transaction level identifier for all discount selections
    Example - aBCDEfghIJkL-MN1opR

Headers

  • Advertises which content types the client is able to understand

  • You may pass the access_token instead of the authentication_token in Online Ordering endpoints to authorize the request. It must be supplied as Bearer ACCESS_TOKEN_GOES_HERE.

  • Set this header to application/json.

  • For details, see User Agent.

  • The signature for the API call

Body

application/json
  • Client key of the business

Responses

  • Accepted - Success Response

  • application/json
  • application/json
  • application/json
  • application/json
Request Example for delete/api/auth/batch_redemptions/{redemption_ref}
curl 'https://SERVER_NAME_GOES_HERE.punchh.com/api/auth/batch_redemptions/{redemption_ref}' \
  --request DELETE \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
  --header 'Content-Type: application/json' \
  --header 'User-Agent: Punchh/OnlineOrder/1.0/Web/BrowserVersion/OS_Type' \
  --header 'x-pch-digest: SIGNATURE_GOES_HERE' \
  --data '{
  "client": "CLIENT_GOES_HERE"
}'
No Body